com.jscape.inet.terminal.commands

## Class CUFCommand

- java.lang.Object
- - com.jscape.inet.terminal.commands.CUFCommand

- All Implemented Interfaces:
    ControlCommand

      public class CUFCommand
      extends java.lang.Object
      implements ControlCommand

  CUF -- Cursor Forward. The CUF sequence moves the active position to the right. The distance moved is determined by the parameter. A parameter value of zero or one moves the active position one position to the right. A parameter value of n moves the active position n positions to the right. If an attempt is made to move the cursor to the right of the right margin, the cursor stops at the right margin.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CANONICAL_FORM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(int[] params, Terminal terminal)` Executes command giving parameters and `Terminal` object.
    `static CUFCommand` | `getInstance()` Returns one and only one instance of this type.
    `void` | `send(int[] params, Terminal terminal)` Sends command to remote host.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CANONICAL_FORM

          public static final java.lang.String CANONICAL_FORM

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static final CUFCommand getInstance()

      Returns one and only one instance of this type.
      Returns:
        one and only one instance of this type.

    - #### execute

          public void execute(int[] params,
                              Terminal terminal)

      Executes command giving parameters and `Terminal` object.
      Specified by:
        `execute` in interface `ControlCommand`
      Parameters:
        `params` - array of `int` command parametrs.
        `terminal` - target `Terminal` object.

    - #### send

          public void send(int[] params,
                           Terminal terminal)

      Sends command to remote host.
      Specified by:
        `send` in interface `ControlCommand`
      Parameters:
        `params` - command parameters.
        `terminal` - target `Terminal` object to send command.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved